Public Member Functions | List of all members
clan::Size Class Reference
clanCore Math

2D (width,height) size structure - Integer More...

`#include <size.h>`

Inheritance diagram for clan::Size:

## Public Member Functions
| Size ()
| Size (int width, int height)
| Size (const Sizex< int > &s)
| Size (const Vec2< int > &s)
| Size (const Sizex< float > &copy)
| Size (const Sizex< double > &copy)
Public Member Functions inherited from clan::Sizex< int >
| Sizex ()
| Constructs a size structure. More...
| Sizex (intwidth, intheight)
| Constructs a size structure. More...
| Sizex (const Sizex< int > &s)
| Constructs a size structure. More...
| operator Vec2< int > () const
Sizex< int > & | operator+= (const Sizex< int > &s)
| Size += Size operator. More...
Sizex< int > & | operator+= (const int &s)
| Size += operator. More...
Sizex< int > & | operator-= (const Sizex< int > &s)
| Size -= Size operator. More...
Sizex< int > & | operator-= (const int &s)
| Size -= operator. More...
Sizex< int > | operator+ (const Sizex< int > &s) const
| Size + Size operator. More...
Sizex< int > | operator+ (const int &s) const
| Size + operator. More...
Sizex< int > | operator- (const Sizex< int > &s) const
| Size - Size operator. More...
Sizex< int > | operator- (const int &s) const
| Size - operator. More...
Sizex< int > & | operator*= (const int &s)
| Size *= operator. More...
Sizex< int > & | operator/= (const int &s)
| Size /= operator. More...
Sizex< int > | operator* (const int &s) const
| Size * operator. More...
Sizex< int > | operator/ (const int &s) const
| Size / operator. More...
bool | operator== (const Sizex< int > &s) const
| Size == Size operator (deep compare). More...
bool | operator!= (const Sizex< int > &s) const
| Size != Size operator (deep compare). More...

## Additional Inherited Members
Public Attributes inherited from clan::Sizex< int >
int | width
| Size width. More...
int | height
| Size height. More...

## Detailed Description

2D (width,height) size structure - Integer

The documentation for this class was generated from the following file:

- size.h